%define upstream_name    Test-Version
%define upstream_version 2.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Check for VERSION information in modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Find::Rule::Perl)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Metadata) >= 1.0.20
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Tester)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.860.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module's goal is to be a one stop shop for checking to see that your
versions across your dist are sane. Please ensure that you use version
'0.04' or later only, as earlier versions are old code and may not work
correctly. Current feature list:

* module has a version

  Tests to insure that all modules checked have a VERSION defined, Can
  replace the Test::HasVersion manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.90.0-3.mga8
+ Revision: 1506597
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.90.0-2.mga7
+ Revision: 1286830
- Mageia 7 Mass Rebuild

* Thu Apr 26 2018 tv <tv> 2.90.0-1.mga7
+ Revision: 1222488
- update to 2.09

* Sat Mar 03 2018 tv <tv> 2.70.0-1.mga7
+ Revision: 1206282
- update to 2.07

* Tue Oct 03 2017 tv <tv> 2.50.0-2.mga7
+ Revision: 1166938
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 2.50.0-1.mga7
+ Revision: 1155486
- update to 2.05

* Sun Jun 19 2016 pterjan <pterjan> 2.30.0-3.mga6
+ Revision: 1034722
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.30.0-2.mga6
+ Revision: 968217
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 2.30.0-1.mga6
+ Revision: 851588
- update to 2.03

* Sat Jun 27 2015 shlomif <shlomif> 2.20.0-1.mga6
+ Revision: 846448
- update to 2.02

* Sun Oct 19 2014 umeabot <umeabot> 1.3.1-4.mga5
+ Revision: 790030
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-3.mga5
+ Revision: 750884
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-2.mga5
+ Revision: 686566
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 sander85 <sander85> 1.3.1-1.mga5
+ Revision: 673109
- update to 1.003001

* Sat Feb 08 2014 sander85 <sander85> 1.2.4-1.mga5
+ Revision: 585992
- update to 1.002004

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 515376
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 373895
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.2.1-1.mga3
+ Revision: 255527
- update to 1.002001

* Wed Jan 25 2012 jquelin <jquelin> 1.2.0-1.mga2
+ Revision: 201062
- update to 1.002000

* Fri Jul 08 2011 jquelin <jquelin> 1.0.0-1.mga2
+ Revision: 120501
- update to 1.0.0

* Tue Jun 21 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 111458
- update to 0.11

* Fri Jun 17 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 108826
- imported package perl-Test-Version


* Fri Jun 17 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
